﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;
using Telerik.Charting.Styles;
using Telerik.Web.UI;

namespace WebApp
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                radAjaxManager.ResponseScripts.Add(String.Format("$find('{0}').ajaxRequest('InitialPageLoad');", radAjaxManager.ClientID));

                DataTable dt = new DataTable();
                dt.Columns.Add(new DataColumn("MyColumn", typeof(int)));
                Random rand = new Random(DateTime.Now.Millisecond);
                for (int i = 0; i < 20; i++)
                {
                    DataRow dr = dt.NewRow();
                    dr[0] = rand.Next(20);
                    dt.Rows.Add(dr);
                }
                RadChart1.DataSource = dt;
                RadChart1.DataBind();
                RadChart2.DataSource = dt;
                RadChart2.DataBind();
            }
        }

        protected void radAjaxManager_AjaxRequest(object sender, Telerik.Web.UI.AjaxRequestEventArgs e)
        {
            radAjaxManager.ResponseScripts.Clear();
            System.Threading.Thread.Sleep(1000);

            //Try rebinding data...
            if (e.Argument == "InitialPageLoad")
            {
                RadChart1.ClientSettings.ScrollMode = ChartClientScrollMode.Both;
                RadChart2.ClientSettings.ScrollMode = ChartClientScrollMode.XOnly;
                RadChart2.ClientSettings.XScale = 4;
                RadChart2.ClientSettings.EnableZoom = false;
            }
        }
    }
}